# Uses of Class
javax.swing.TransferHandler

Packages that use TransferHandler
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of TransferHandler in javax.swing

Methods in javax.swing that return TransferHandler
Modifier and Type
Method
Description
`TransferHandler`
JApplet.`getTransferHandler()`
Deprecated.
Gets the `transferHandler` property.
`TransferHandler`
JComponent.`getTransferHandler()`
Gets the `transferHandler` property.
`TransferHandler`
JDialog.`getTransferHandler()`
Gets the `transferHandler` property.
`TransferHandler`
JFrame.`getTransferHandler()`
Gets the `transferHandler` property.
`TransferHandler`
JWindow.`getTransferHandler()`
Gets the `transferHandler` property.
Methods in javax.swing with parameters of type TransferHandler
Modifier and Type
Method
Description
`void`
JApplet.`setTransferHandler​(TransferHandler newHandler)`
Deprecated.
Sets the `transferHandler` property, which is a mechanism to support transfer of data into this component.
`void`
JComponent.`setTransferHandler​(TransferHandler newHandler)`
Sets the `TransferHandler`, which provides support for transfer of data into and out of this component via cut/copy/paste and drag and drop.
`void`
JDialog.`setTransferHandler​(TransferHandler newHandler)`
Sets the `transferHandler` property, which is a mechanism to support transfer of data into this component.
`void`
JFrame.`setTransferHandler​(TransferHandler newHandler)`
Sets the `transferHandler` property, which is a mechanism to support transfer of data into this component.
`void`
JWindow.`setTransferHandler​(TransferHandler newHandler)`
Sets the `transferHandler` property, which is a mechanism to support transfer of data into this component.